# ORCA HF single point energy

from chemsh       import *
from chemsh.utils import testutils

water = Fragment(coords="water.cjson")


# default: convergence='tightscf'
orca = ORCA(frag=water, method="hf", basis="3-21g")

# TODO: sp = SP(theory=nwchem, frag=water)
sp = SP(theory=orca, gradients=True)

sp.run()

ecalc = sp.result.energy

# Tcl-ChemShell 3.7.1/ORCA 4.2.1 result
# convergence=normalscf
#eref = -75.585287768029
# convergence=tightscf
#eref = -75.585287776662
# ORCA 5.0.3
eref = -75.58528778


testutils.validate(ecalc, eref)
